Bug 810593 - [abrt] cpp-4.6.3-2.fc16: fold_negate_const: Process /usr/libexec/gcc/x86_64-redhat-linux/4.6.3/cc1 was killed by signal 11 (SIGSEGV)
[abrt] cpp-4.6.3-2.fc16: fold_negate_const: Process /usr/libexec/gcc/x86_64-r...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
abrt_hash:f39b630f101951a048a2f635fdd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-06 19:13 EDT by fedoraxx.bugzilla.redhat
Modified: 2013-02-13 09:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:54:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (6.72 KB, text/plain)
2012-04-06 19:13 EDT, fedoraxx.bugzilla.redhat
no flags Details
File: smolt_data (3.23 KB, text/plain)
2012-04-06 19:13 EDT, fedoraxx.bugzilla.redhat
no flags Details
File: backtrace (157.78 KB, text/plain)
2012-04-06 19:13 EDT, fedoraxx.bugzilla.redhat
no flags Details

  None (edit)
Description fedoraxx.bugzilla.redhat 2012-04-06 19:13:39 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/libexec/gcc/x86_64-redhat-linux/4.6.3/cc1 -quiet -I . -I ../.. -I ../.. -I /usr/include/orc-0.4 -dD -D HAVE_CONFIG_H -D SCHRO_ENABLE_UNSTABLE_API -D SOCKLEN_T=socklen_t -D _LARGEFILE_SOURCE=1 -D _FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2 quantise_speed.c -quiet -dumpbase quantise_speed.c -mcmodel=large -m64 -mtune=core2 -march=core2 -msse4.1 -auxbase quantise_speed -g3 -ggdb3 -O3 -Wall -Wextra -Wshadow -Wcast-qual -Wconversion -Wcast-align -Wpointer-arith -Wpacked -Wformat=2 -Wswitch-default -Wswitch-enum -Wunused-parameter -Wfloat-equal -Wbad-function-cast -Wlogical-op -Waggregate-return -Wredundant-decls -Wstack-protector -fexceptions -fstack-protector -ftrapv -fwrapv -fno-delete-null-pointer-checks -fPIE --param ssp-buffer-size=4 -o -
crash_function: fold_negate_const
executable:     /usr/libexec/gcc/x86_64-redhat-linux/4.6.3/cc1
kernel:         3.3.0-8.fc16.x86_64
pid:            11615
pwd:            /home/tomato/rpmbuild/BUILD/schroedinger-1.0.11/testsuite/perf
reason:         Process /usr/libexec/gcc/x86_64-redhat-linux/4.6.3/cc1 was killed by signal 11 (SIGSEGV)
time:           2012年04月06日 20時11分50秒
uid:            1000
username:       tomato

backtrace:      Text file, 161570 bytes
environ:        Text file, 6883 bytes
smolt_data:     Binary file, 3308 bytes

build_ids:
:ef1aa0af4d1aca93d056c172a379892207872024
:cd431be4a9dbdb57e8da2fb3b7611fa6d65a8927
:c7803e0e6512b90b085ce082eb59633837b36a13
:e4a9112ccdddc67344cde7f60d45d4dae08d2f58
:3725390ff06220a9d99da9dedf145de10da75d4d
:76aa82fae1c01afd67f724e36d689f77e90cdba7
:32660e5ccf1d15f4a48ecee651c4f42e5fd5c3c8
:04f2437ee08db967062792fa60ba5a2868101c79
:137d953ed6781126b48fc468f60102d6cdfaf030

dso_list:
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (None) 1332775845
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (None) 1332775845
:/usr/lib64/libmpc.so.2.0.0 libmpc-0.9-1.fc16.x86_64 (Fedora Project) 1332250913
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (None) 1332775845
:/usr/libexec/gcc/x86_64-redhat-linux/4.6.3/cc1 cpp-4.6.3-2.fc16.x86_64 (None) 1332884266
:/usr/lib64/libgmp.so.3.5.2 gmp-1:4.3.2-4.fc16.x86_64 (Fedora Project) 1332237601
:/usr/lib64/libmpfr.so.4.0.0 mpfr-3.0.0-4.fc15.x86_64 (Fedora Project) 1332237639
:/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc16.x86_64 (None) 1332895160
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (None) 1332775845

maps:
:00400000-00e0d000 r-xp 00000000 08:0e 272708                             /usr/libexec/gcc/x86_64-redhat-linux/4.6.3/cc1
:0100d000-01017000 rw-p 00a0d000 08:0e 272708                             /usr/libexec/gcc/x86_64-redhat-linux/4.6.3/cc1
:01017000-0114f000 rw-p 00000000 00:00 0 
:01216000-01245000 rw-p 00a16000 08:0e 272708                             /usr/libexec/gcc/x86_64-redhat-linux/4.6.3/cc1
:02b42000-02c48000 rw-p 00000000 00:00 0                                  [heap]
:33d6e00000-33d6e22000 r-xp 00000000 08:0e 1179678                        /lib64/ld-2.14.90.so
:33d7021000-33d7022000 r--p 00021000 08:0e 1179678                        /lib64/ld-2.14.90.so
:33d7022000-33d7023000 rw-p 00022000 08:0e 1179678                        /lib64/ld-2.14.90.so
:33d7023000-33d7024000 rw-p 00000000 00:00 0 
:33d7200000-33d73ad000 r-xp 00000000 08:0e 1179680                        /lib64/libc-2.14.90.so
:33d73ad000-33d75ad000 ---p 001ad000 08:0e 1179680                        /lib64/libc-2.14.90.so
:33d75ad000-33d75b1000 r--p 001ad000 08:0e 1179680                        /lib64/libc-2.14.90.so
:33d75b1000-33d75b3000 rw-p 001b1000 08:0e 1179680                        /lib64/libc-2.14.90.so
:33d75b3000-33d75b8000 rw-p 00000000 00:00 0 
:33d7600000-33d7614000 r-xp 00000000 08:0e 154375                         /usr/lib64/libmpc.so.2.0.0
:33d7614000-33d7813000 ---p 00014000 08:0e 154375                         /usr/lib64/libmpc.so.2.0.0
:33d7813000-33d7814000 rw-p 00013000 08:0e 154375                         /usr/lib64/libmpc.so.2.0.0
:33d7a00000-33d7a82000 r-xp 00000000 08:0e 1179809                        /lib64/libm-2.14.90.so
:33d7a82000-33d7c82000 ---p 00082000 08:0e 1179809                        /lib64/libm-2.14.90.so
:33d7c82000-33d7c83000 r--p 00082000 08:0e 1179809                        /lib64/libm-2.14.90.so
:33d7c83000-33d7c84000 rw-p 00083000 08:0e 1179809                        /lib64/libm-2.14.90.so
:33d7e00000-33d7e02000 r-xp 00000000 08:0e 1186529                        /lib64/libdl-2.14.90.so
:33d7e02000-33d8002000 ---p 00002000 08:0e 1186529                        /lib64/libdl-2.14.90.so
:33d8002000-33d8003000 r--p 00002000 08:0e 1186529                        /lib64/libdl-2.14.90.so
:33d8003000-33d8004000 rw-p 00003000 08:0e 1186529                        /lib64/libdl-2.14.90.so
:33d8e00000-33d8e50000 r-xp 00000000 08:0e 139032                         /usr/lib64/libmpfr.so.4.0.0
:33d8e50000-33d9050000 ---p 00050000 08:0e 139032                         /usr/lib64/libmpfr.so.4.0.0
:33d9050000-33d9052000 rw-p 00050000 08:0e 139032                         /usr/lib64/libmpfr.so.4.0.0
:33e4e00000-33e4e54000 r-xp 00000000 08:0e 156292                         /usr/lib64/libgmp.so.3.5.2
:33e4e54000-33e5054000 ---p 00054000 08:0e 156292                         /usr/lib64/libgmp.so.3.5.2
:33e5054000-33e5056000 rw-p 00054000 08:0e 156292                         /usr/lib64/libgmp.so.3.5.2
:3b6c000000-3b6c019000 r-xp 00000000 08:0e 1191636                        /lib64/libz.so.1.2.5
:3b6c019000-3b6c219000 ---p 00019000 08:0e 1191636                        /lib64/libz.so.1.2.5
:3b6c219000-3b6c21a000 rw-p 00019000 08:0e 1191636                        /lib64/libz.so.1.2.5
:7f257e31a000-7f257ec95000 rw-p 00000000 00:00 0 
:7f257eca4000-7f257ecb6000 rw-p 00000000 00:00 0 
:7fffc4038000-7fffc4837000 rw-p 00000000 00:00 0                          [stack]
:7fffc4993000-7fffc4994000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Apr  6 20:11:51 tomato abrt[11624]: Not dumping repeating crash in '/usr/libexec/gcc/x86_64-redhat-linux/4.6.3/cc1'
:Apr  6 20:11:51 tomato abrt[11623]: Saved core dump of pid 11615 (/usr/libexec/gcc/x86_64-redhat-linux/4.6.3/cc1) to /var/spool/abrt/ccpp-2012-04-06-20:11:50-11615 (20938752 bytes)
Comment 1 fedoraxx.bugzilla.redhat 2012-04-06 19:13:44 EDT
Created attachment 575840 [details]
File: environ
Comment 2 fedoraxx.bugzilla.redhat 2012-04-06 19:13:46 EDT
Created attachment 575841 [details]
File: smolt_data
Comment 3 fedoraxx.bugzilla.redhat 2012-04-06 19:13:49 EDT
Created attachment 575842 [details]
File: backtrace
Comment 4 Fedora End Of Life 2013-01-16 08:57:20 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 09:54:08 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.